1. Scheduling
Zebracat Api Docs
  • Quick Start
  • API Key Management
    • List API Keys
      GET
    • Create API Key
      POST
    • Get API Key
      GET
    • Delete API Key
      DELETE
  • Billing
    • Get Balance & Purchase History
      GET
    • Purchase Credits
      POST
    • Get Usage
      GET
    • Get Usage Detail
      GET
  • Avatars
    • List Avatars
      GET
  • Brands
    • List Brands
      GET
    • Create Brand
      POST
    • Update Brand
      PUT
    • Partial Update Brand
      PATCH
    • Delete Brand
      DELETE
  • AI Characters
    • List Characters
      GET
    • Create Character
      POST
    • Suggest Character
      POST
    • Get Character
      GET
    • Update Character
      PUT
    • Partial Update Character
      PATCH
    • Delete Character
      DELETE
  • Image Generation
    • Generate AI Image
  • Videos
    • List Latest Videos
  • Music
    • List Music
    • Search Music
  • Projects
    • Rename Project
    • Delete Project
  • Scheduling
    • Connect Platform
      POST
    • Connected Platforms
      GET
    • Disconnect Platform
      POST
    • Create Post
      POST
    • List Posts
      GET
    • Get Post
      GET
    • Delete Post
      DELETE
  • Script Generation
    • Generate Voice-Over Script
  • Templates
    • List Templates
  • Agents
    • Agentic Video Generation
  • Video Generation
    • Audio to Video
    • Blog/URL to Video
    • Idea to Video
    • List Prompt Styles
    • Script to Video
    • Get Video Task Status
  • Video Translation
    • List Languages
    • Translate Video
  • Visual Styles
    • List Visual Styles
    • Create Visual Style
    • Activate Visual Style
    • Delete Visual Style
  • Voices
    • List Cloned Voices
    • Clone a Voice
    • List Voices
  • Webhooks
    • List Webhooks
    • Create Webhook
    • Get Webhook
    • Delete Webhook
  • Schemas
    • RequestBodies
      • activate_visual_styleData
    • APIKey
    • APIKeyCreate
    • Avatar
    • Brand
    • Character
    • ConnectPlatform
    • ConnectedPlatformsResponse
    • DisconnectPlatform
    • PostContent
    • PostResult
    • BulkPostResponse
    • SchedulingList
    • Template
    • Webhook
    • WebhookCreate
  1. Scheduling

List Posts

GET
https://api.zebracat.ai/v1/scheduling/posts/list
Scheduling
Get list of scheduled/posted content for the authenticated user.
Optional filters:
status — Filter by status (pending, scheduled, posting, posted, failed)
platform — Filter by platform
project_id — Filter by project ID

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Query Params

Responses

🟢200
application/json
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.zebracat.ai/v1/scheduling/posts/list?status&platform&project_id' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - Example 1
[
    {
        "id": 0,
        "platforms": [
            "string"
        ],
        "video_url": "http://example.com",
        "caption": "string",
        "title": "string",
        "description": "string",
        "hashtags": [
            "string"
        ],
        "schedule_time": "2019-08-24T14:15:22.123Z",
        "is_immediate": true,
        "status": "string",
        "post_results": {
            "property1": "string",
            "property2": "string"
        },
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "posted_at": "2019-08-24T14:15:22.123Z",
        "project_id": 0,
        "error_message": "string",
        "retry_count": 0
    }
]
Previous
Create Post
Next
Get Post
Built with